Metadata

## Macros

#define | __itt_metadata_str_add __itt_metadata_str_addA
#define | __itt_metadata_str_add_ptr __itt_metadata_str_addA_ptr
#define | __itt_metadata_str_add_with_scope __itt_metadata_str_add_with_scopeA
#define | __itt_metadata_str_add_with_scope_ptr __itt_metadata_str_add_with_scopeA_ptr

## Enumerations

enum | __itt_metadata_type { __itt_metadata_unknown = 0 , __itt_metadata_u64 , __itt_metadata_s64 , __itt_metadata_u32 , __itt_metadata_s32 , __itt_metadata_u16 , __itt_metadata_s16 , __itt_metadata_float , __itt_metadata_double }
| describes the type of metadata More...

## Functions

void ITTAPI | __itt_metadata_add (const __itt_domain *domain, __itt_id id, __itt_string_handle *key, __itt_metadata_type type, size_t count, void *data)
| Add metadata to an instance of a named entity. More...
void ITTAPI | __itt_metadata_str_addA (const __itt_domain *domain, __itt_id id, __itt_string_handle *key, const char *data, size_t length)
| Add string metadata to an instance of a named entity. More...
void ITTAPI | __itt_metadata_str_addW (const __itt_domain *domain, __itt_id id, __itt_string_handle *key, const wchar_t *data, size_t length)
void ITTAPI | __itt_metadata_add_with_scope (const __itt_domain *domain, __itt_scope scope, __itt_string_handle *key, __itt_metadata_type type, size_t count, void *data)
| Add metadata to an instance of a named entity. More...
void ITTAPI | __itt_metadata_str_add_with_scopeA (const __itt_domain *domain, __itt_scope scope, __itt_string_handle *key, const char *data, size_t length)
| Add string metadata to an instance of a named entity. More...
void ITTAPI | __itt_metadata_str_add_with_scopeW (const __itt_domain *domain, __itt_scope scope, __itt_string_handle *key, const wchar_t *data, size_t length)

## Detailed Description

The metadata API is used to attach extra information to named entities. Metadata can be attached to an identified named entity by ID, or to the current entity (which is always a task).

Conceptually metadata has a type (what kind of metadata), a key (the name of the metadata), and a value (the actual data). The encoding of the value depends on the type of the metadata.

The type of metadata is specified by an enumerated type __itt_metdata_type.

## Macro Definition Documentation

## __itt_metadata_str_add

#define __itt_metadata_str_add __itt_metadata_str_addA

Definition at line 2458 of file ittnotify.h.

## __itt_metadata_str_add_ptr

#define __itt_metadata_str_add_ptr __itt_metadata_str_addA_ptr

Definition at line 2459 of file ittnotify.h.

## __itt_metadata_str_add_with_scope

#define __itt_metadata_str_add_with_scope __itt_metadata_str_add_with_scopeA

Definition at line 2553 of file ittnotify.h.

## __itt_metadata_str_add_with_scope_ptr

#define __itt_metadata_str_add_with_scope_ptr __itt_metadata_str_add_with_scopeA_ptr

Definition at line 2554 of file ittnotify.h.

## Enumeration Type Documentation

## __itt_metadata_type

enum __itt_metadata_type

describes the type of metadata

Enumerator
__itt_metadata_unknown |
__itt_metadata_u64 | Unsigned 64-bit integer
__itt_metadata_s64 | Signed 64-bit integer
__itt_metadata_u32 | Unsigned 32-bit integer
__itt_metadata_s32 | Signed 32-bit integer
__itt_metadata_u16 | Unsigned 16-bit integer
__itt_metadata_s16 | Signed 16-bit integer
__itt_metadata_float | Signed 32-bit floating-point
__itt_metadata_double | SIgned 64-bit floating-point

Definition at line 2403 of file ittnotify.h.

{
__itt_metadata_unknown = 0,
__itt_metadata_u64,
__itt_metadata_s64,
__itt_metadata_u32,
__itt_metadata_s32,
__itt_metadata_u16,
__itt_metadata_s16,
__itt_metadata_float,
__itt_metadata_double
} __itt_metadata_type;
__itt_metadata_type
__itt_metadata_type
describes the type of metadata
Definition: ittnotify.h:2403
__itt_metadata_double
@ __itt_metadata_double
Definition: ittnotify.h:2412
__itt_metadata_float
@ __itt_metadata_float
Definition: ittnotify.h:2411
__itt_metadata_s64
@ __itt_metadata_s64
Definition: ittnotify.h:2406
__itt_metadata_u64
@ __itt_metadata_u64
Definition: ittnotify.h:2405
__itt_metadata_s16
@ __itt_metadata_s16
Definition: ittnotify.h:2410
__itt_metadata_u16
@ __itt_metadata_u16
Definition: ittnotify.h:2409
__itt_metadata_s32
@ __itt_metadata_s32
Definition: ittnotify.h:2408
__itt_metadata_unknown
@ __itt_metadata_unknown
Definition: ittnotify.h:2404
__itt_metadata_u32
@ __itt_metadata_u32
Definition: ittnotify.h:2407

## Function Documentation

## __itt_metadata_add()

void ITTAPI __itt_metadata_add | ( | const __itt_domain * | domain,
|  | __itt_id | id,
|  | __itt_string_handle * | key,
|  | __itt_metadata_type | type,
|  | size_t | count,
|  | void * | data
| ) |  |

Add metadata to an instance of a named entity.

Parameters

  [in] | domain | The domain controlling the call
  [in] | id | The identifier of the instance to which the metadata is to be added, or __itt_null to add to the current task
  [in] | key | The name of the metadata
  [in] | type | The type of the metadata
  [in] | count | The number of elements of the given type. If count == 0, no metadata will be added.
  [in] | data | The metadata itself

## __itt_metadata_add_with_scope()

void ITTAPI __itt_metadata_add_with_scope | ( | const __itt_domain * | domain,
|  | __itt_scope | scope,
|  | __itt_string_handle * | key,
|  | __itt_metadata_type | type,
|  | size_t | count,
|  | void * | data
| ) |  |

Add metadata to an instance of a named entity.

Parameters

  [in] | domain | The domain controlling the call
  [in] | scope | The scope of the instance to which the metadata is to be added
  [in] | id | The identifier of the instance to which the metadata is to be added, or __itt_null to add to the current task
  [in] | key | The name of the metadata
  [in] | type | The type of the metadata
  [in] | count | The number of elements of the given type. If count == 0, no metadata will be added.
  [in] | data | The metadata itself

## __itt_metadata_str_add_with_scopeA()

void ITTAPI __itt_metadata_str_add_with_scopeA | ( | const __itt_domain * | domain,
|  | __itt_scope | scope,
|  | __itt_string_handle * | key,
|  | const char * | data,
|  | size_t | length
| ) |  |

Add string metadata to an instance of a named entity.

Parameters

  [in] | domain | The domain controlling the call
  [in] | scope | The scope of the instance to which the metadata is to be added
  [in] | id | The identifier of the instance to which the metadata is to be added, or __itt_null to add to the current task
  [in] | key | The name of the metadata
  [in] | data | The metadata itself
  [in] | length | The number of characters in the string, or -1 if the length is unknown but the string is null-terminated

## __itt_metadata_str_add_with_scopeW()

void ITTAPI __itt_metadata_str_add_with_scopeW | ( | const __itt_domain * | domain,
|  | __itt_scope | scope,
|  | __itt_string_handle * | key,
|  | const wchar_t * | data,
|  | size_t | length
| ) |  |

## __itt_metadata_str_addA()

void ITTAPI __itt_metadata_str_addA | ( | const __itt_domain * | domain,
|  | __itt_id | id,
|  | __itt_string_handle * | key,
|  | const char * | data,
|  | size_t | length
| ) |  |

Add string metadata to an instance of a named entity.

Parameters

  [in] | domain | The domain controlling the call
  [in] | id | The identifier of the instance to which the metadata is to be added, or __itt_null to add to the current task
  [in] | key | The name of the metadata
  [in] | data | The metadata itself
  [in] | length | The number of characters in the string, or -1 if the length is unknown but the string is null-terminated

## __itt_metadata_str_addW()

void ITTAPI __itt_metadata_str_addW | ( | const __itt_domain * | domain,
|  | __itt_id | id,
|  | __itt_string_handle * | key,
|  | const wchar_t * | data,
|  | size_t | length
| ) |  |

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.